package com.pack.modeler.structures;
/**
 * Class for generic key/value entries

 */

import java.sql.Timestamp;
import java.util.Map;

/**
 * @author Saimir Bala
 *  *
 */
public class GenericTrace{

    private String traceColumn;
    private String conceptNameColumn;
    private String lifecycleColumn = null;
    private String timestampColumn;
    private String resourceColumn;
    private Map<String, String> other;

    /**
     * @param traceColumn
     * @param conceptNameColumn
     * @param tStamp
     * @param resourceColumn
     */
    public GenericTrace(String traceColumn, String conceptNameColumn, String lifecycleColumn, Timestamp tStamp, String resourceColumn, Map<String, String> other) {
        this.traceColumn = traceColumn;
        this.conceptNameColumn = conceptNameColumn;
        this.timestampColumn = tStamp.toString();
        this.resourceColumn = resourceColumn;
        if(lifecycleColumn != null)
            this.lifecycleColumn = lifecycleColumn;
        this.other = other;
    }

    public String getTraceColumn() {
        return traceColumn;
    }

    public String getConceptNameColumn() {
        return conceptNameColumn;
    }

    public String getTimestampColumn() {
        return timestampColumn;
    }

    public String getResourceColumn() {
        return resourceColumn;
    }

    public String getLifecycleColumn(){
        return lifecycleColumn;
    }

    public Map<String, String> getOther() {
        return other;
    }
}